package cn.com.countrygarden.bi.main.dto.wcx;


import cn.com.countrygarden.bi.main.model.wcx.WcxFile;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 *  创新
 *
 *  @author ferren
 */
public class WcxInnovationDto extends WcxBaseDto{

    private String innovationId; // varchar(36) NOT NULL COMMENT '主键',
    private String innovationTitle; // varchar(255) DEFAULT NULL COMMENT '标题',
    private String innovationContent; // varchar(1000) DEFAULT NULL COMMENT '内容',
    private String innovationSimpleContent; // varchar(1000) DEFAULT NULL COMMENT '内容',
    private String innovationType; // char(1) DEFAULT NULL COMMENT '创新类型(1:个人创新,2:团队创新)',
    private String baseline; // char(1) DEFAULT NULL COMMENT '基础业务线',
    private String classification; // char(1) DEFAULT NULL COMMENT '类型',
    private String teamContent; // varchar(255) DEFAULT NULL COMMENT '团队成员介绍内容',
    private String projectName; // varchar(36) DEFAULT NULL COMMENT '项目名称',
    private String regionName; // varchar(36) DEFAULT NULL COMMENT '区域名称',
    private String userId; // varchar(36) NOT NULL COMMENT '用户表的主键',
    private String status; // char(1) DEFAULT NULL COMMENT '状态(0:未启用,1:启用)',
    private Date createDate; // datetime DEFAULT NULL COMMENT '创建日期',
    private String innovationContentId;
    private String videoUrl;
    private List<String> pictureUrls = new ArrayList<>();
    private List<WcxFile> pics = new ArrayList<>();
    private String nickName; // 用户昵称
    private String headPicUrl; // 用户头像
    private long thumbNumber; // 点赞数
    private String thumbUserId; // 点赞用户id
    private long reviewNumber; // 评论数
    private String employeeName; // 员工名称
    private String collectionUserId; // 收藏者id
    private Date monthEndDate;
    private Date monthStartDate;
    private String auditStatus;//审核状态0待审核,1审核通过,2审核未通过

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    // 额外
    private String startDateStr;
    private String endDateStr;
    private Date startDate;
    private Date endDate;
    private int leaderThumbNumber;
    private String orderByThumbNumber; // -1 降 1 升
    private String orderByReadingPaixu; // -1 降 1 升
    private String baselineName; // 基础业务线名称
    private String roleType; // char(1)'角色类别',
    private String roleCode; // varchar(36) '角色编码',
    //审核状态
    private String examineStatus;
    //处理日期
    private Date handleDate;
    //处理人
    private String operator;
    //处理意见
    private String opinion;
    private String fileId;
    private String regionCode;
    private List<String> baselineList;
    private List<String> regionList;
    private List<String> innovationIdList;//查看

    private List<String> innovationIdListshenhe;//审核

    private Integer isMoren;

    public Integer getIsMoren() {
        return isMoren;
    }

    public void setIsMoren(Integer isMoren) {
        this.isMoren = isMoren;
    }

    public List<String> getInnovationIdListshenhe() {
        return innovationIdListshenhe;
    }

    public void setInnovationIdListshenhe(List<String> innovationIdListshenhe) {
        this.innovationIdListshenhe = innovationIdListshenhe;
    }

    public List<String> getInnovationIdList() {
        return innovationIdList;
    }

    public void setInnovationIdList(List<String> innovationIdList) {
        this.innovationIdList = innovationIdList;
    }

    //是否置顶 1是  0否
    private Integer isTop;

    //是否推荐 1是  0否
    private Integer isRecomm;

    private Integer reading;

    //是否优秀 1生是 0否
    private Integer isExcellent;

    public Integer getIsExcellent() {
        return isExcellent;
    }

    public void setIsExcellent(Integer isExcellent) {
        this.isExcellent = isExcellent;
    }

    public Integer getReading() {
        return reading;
    }

    public void setReading(Integer reading) {
        this.reading = reading;
    }

    public Integer getIsRecomm() {
        return isRecomm;
    }

    public void setIsRecomm(Integer isRecomm) {
        this.isRecomm = isRecomm;
    }

    //修改时间
    private Date updateTime;

    //推荐时间
    private Date recommTime;

    public Date getRecommTime() {
        return recommTime;
    }

    public void setRecommTime(Date recommTime) {
        this.recommTime = recommTime;
    }

    private String sysUserCode;

    private String roleCodeAdmin;

    public String getRoleCodeAdmin() {
        return roleCodeAdmin;
    }

    public void setRoleCodeAdmin(String roleCodeAdmin) {
        this.roleCodeAdmin = roleCodeAdmin;
    }

    public String getSysUserCode() {
        return sysUserCode;
    }

    public void setSysUserCode(String sysUserCode) {
        this.sysUserCode = sysUserCode;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getIsTop() {
        return isTop;
    }

    public void setIsTop(Integer isTop) {
        this.isTop = isTop;
    }

    public List<String> getBaselineList() {
        return baselineList;
    }

    public void setBaselineList(List<String> baselineList) {
        this.baselineList = baselineList;
    }

    public List<String> getRegionList() {
        return regionList;
    }

    public void setRegionList(List<String> regionList) {
        this.regionList = regionList;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public Date getHandleDate() {
        return handleDate;
    }

    public void setHandleDate(Date handleDate) {
        this.handleDate = handleDate;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getOpinion() {
        return opinion;
    }

    public void setOpinion(String opinion) {
        this.opinion = opinion;
    }

    public String getExamineStatus() {
        return examineStatus;
    }

    public void setExamineStatus(String examineStatus) {
        this.examineStatus = examineStatus;
    }

    public String getInnovationContentId() {
        return innovationContentId;
    }

    public void setInnovationContentId(String innovationContentId) {
        this.innovationContentId = innovationContentId;
    }

    public String getRoleType() {
        return roleType;
    }

    public void setRoleType(String roleType) {
        this.roleType = roleType;
    }

    public String getRoleCode() {
        return roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public String getBaselineName() {
        return baselineName;
    }

    public void setBaselineName(String baselineName) {
        this.baselineName = baselineName;
    }

    public String getOrderByThumbNumber() {
        return orderByThumbNumber;
    }

    public void setOrderByThumbNumber(String orderByThumbNumber) {
        this.orderByThumbNumber = orderByThumbNumber;
    }

    public String getInnovationSimpleContent() {
        return innovationSimpleContent;
    }

    public void setInnovationSimpleContent(String innovationSimpleContent) {
        this.innovationSimpleContent = innovationSimpleContent;
    }

    public String getInnovationId() {
        return innovationId;
    }

    public void setInnovationId(String innovationId) {
        this.innovationId = innovationId;
    }

    public String getInnovationTitle() {
        return innovationTitle;
    }

    public void setInnovationTitle(String innovationTitle) {
        this.innovationTitle = innovationTitle;
    }

    public String getInnovationContent() {
        return innovationContent;
    }

    public void setInnovationContent(String innovationContent) {
        this.innovationContent = innovationContent;
    }

    public String getInnovationType() {
        return innovationType;
    }

    public void setInnovationType(String innovationType) {
        this.innovationType = innovationType;
    }

    public String getBaseline() {
        return baseline;
    }

    public void setBaseline(String baseline) {
        this.baseline = baseline;
    }

    public String getClassification() {
        return classification;
    }

    public void setClassification(String classification) {
        this.classification = classification;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getTeamContent() {
        return teamContent;
    }

    public void setTeamContent(String teamContent) {
        this.teamContent = teamContent;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getStatus() {
        return status;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public List<String> getPictureUrls() {
        return pictureUrls;
    }

    public void setPictureUrls(List<String> pictureUrls) {
        this.pictureUrls = pictureUrls;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public long getThumbNumber() {
        return thumbNumber;
    }

    public void setThumbNumber(long thumbNumber) {
        this.thumbNumber = thumbNumber;
    }

    public List<WcxFile> getPics() {
        return pics;
    }

    public void setPics(List<WcxFile> pics) {
        this.pics = pics;
    }

    public String getThumbUserId() {
        return thumbUserId;
    }

    public void setThumbUserId(String thumbUserId) {
        this.thumbUserId = thumbUserId;
    }

    public long getReviewNumber() {
        return reviewNumber;
    }

    public void setReviewNumber(long reviewNumber) {
        this.reviewNumber = reviewNumber;
    }

    public String getEmployeeName() {
        return employeeName;
    }

    public void setEmployeeName(String employeeName) {
        this.employeeName = employeeName;
    }

    public String getHeadPicUrl() {
        return headPicUrl;
    }

    public void setHeadPicUrl(String headPicUrl) {
        this.headPicUrl = headPicUrl;
    }

    public String getCollectionUserId() {
        return collectionUserId;
    }

    public void setCollectionUserId(String collectionUserId) {
        this.collectionUserId = collectionUserId;
    }

    public Date getMonthEndDate() {
        return monthEndDate;
    }

    public void setMonthEndDate(Date monthEndDate) {
        this.monthEndDate = monthEndDate;
    }

    public Date getMonthStartDate() {
        return monthStartDate;
    }

    public void setMonthStartDate(Date monthStartDate) {
        this.monthStartDate = monthStartDate;
    }

    public String getStartDateStr() {
        return startDateStr;
    }

    public void setStartDateStr(String startDateStr) {
        this.startDateStr = startDateStr;
    }

    public String getEndDateStr() {
        return endDateStr;
    }

    public void setEndDateStr(String endDateStr) {
        this.endDateStr = endDateStr;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public int getLeaderThumbNumber() {
        return leaderThumbNumber;
    }

    public String getOrderByReadingPaixu() {
        return orderByReadingPaixu;
    }

    public void setOrderByReadingPaixu(String orderByReadingPaixu) {
        this.orderByReadingPaixu = orderByReadingPaixu;
    }

    public void setLeaderThumbNumber(int leaderThumbNumber) {
        this.leaderThumbNumber = leaderThumbNumber;
    }
}


